Firewall
All operations require authentication.
List the port mappings of the modemProduction
Returns the names of the port mapping rules of the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ portMappings \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a port mapping on the modemProduction
Adds a rule that forwards an external port range to a port of an internal client, optionally restricted to one remote IP. Returns the created rule.
Path parameters
Service name
Request body (required)
IPv4 address (e.g., 192.0.2.0)
Description of the Port Mapping
The last port of the interval on the External Client that will get the connections
External Port that the modem will listen on
IP address (e.g., 192.0.2.0)
The port on the Internal Client that will get the connections
The last port of the interval on the Internal Client that will get the connections
Name of the port mapping entry
Type of protocol for the Port Mapping
TCPUDPResponse
An ip which will access to the defined rule. Default : no restriction applied
Description of the Port Mapping
The last port of the interval on the External Client that will get the connections
External Port that the modem will listen on. List of externalPorts not available for now in the API : 8, 21, 68, 5060, 21800-21805, 51005
ID of the port mapping entry
IP address (e.g., 192.0.2.0)
The port on the Internal Client that will get the connections
The last port of the interval on the Internal Client that will get the connections
Name of the port mapping entry
Type of protocol for the Port Mapping
TCPUDPID of the ongoing todo (NULL if none)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ portMappings \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedRemoteIp": "192.0.2.0", "description": "string", "externalPortEnd": 0, "externalPortStart": 0, "id": 0, "internalClient": "192.0.2.0", "internalPort": 0, "internalPortEnd": 0, "name": "string", "protocol": "TCP", "taskId": 0}
Update a port mapping of the modemProduction
Changes the protocol, ports, internal client, allowed remote IP or description of a port mapping rule.
Path parameters
Name
Service name
Request body (required)
An ip which will access to the defined rule. Default : no restriction applied
Description of the Port Mapping
The last port of the interval on the External Client that will get the connections
External Port that the modem will listen on. List of externalPorts not available for now in the API : 8, 21, 68, 5060, 21800-21805, 51005
ID of the port mapping entry
IP address (e.g., 192.0.2.0)
The port on the Internal Client that will get the connections
The last port of the interval on the Internal Client that will get the connections
Name of the port mapping entry
Type of protocol for the Port Mapping
TCPUDPID of the ongoing todo (NULL if none)
Response
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ portMappings/ {name} \
-H "authorization: Bearer $OVH_TOKEN"Get a port mapping of the modemProduction
Returns a port mapping rule: its protocol, external and internal ports, internal client, allowed remote IP and description.
Path parameters
Name
Service name
Response
An ip which will access to the defined rule. Default : no restriction applied
Description of the Port Mapping
The last port of the interval on the External Client that will get the connections
External Port that the modem will listen on. List of externalPorts not available for now in the API : 8, 21, 68, 5060, 21800-21805, 51005
ID of the port mapping entry
IP address (e.g., 192.0.2.0)
The port on the Internal Client that will get the connections
The last port of the interval on the Internal Client that will get the connections
Name of the port mapping entry
Type of protocol for the Port Mapping
TCPUDPID of the ongoing todo (NULL if none)
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ portMappings/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedRemoteIp": "192.0.2.0", "description": "string", "externalPortEnd": 0, "externalPortStart": 0, "id": 0, "internalClient": "192.0.2.0", "internalPort": 0, "internalPortEnd": 0, "name": "string", "protocol": "TCP", "taskId": 0}
Delete a port mapping of the modemProduction
Removes the port mapping rule from the modem. Returns the task that performs the change.
Path parameters
Name
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ portMappings/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Delete all the port mappings of the modemProduction
Removes every port mapping rule of the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ resetPortMappingConfig \
-H "authorization: Bearer $OVH_TOKEN"Get the IPsec ALG status of the modemProduction
Returns whether the IPsec ALG service is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ ipsecAlg \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable IPsec ALG on the modemProduction
Changes the status of the IPsec ALG service on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ ipsecAlg \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the SIP ALG status of the modemProduction
Returns whether the SIP ALG service is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ sipAlg \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable SIP ALG on the modemProduction
Changes the status of the SIP ALG service on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ sipAlg \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the UPnP status of the modemProduction
Returns whether UPnP is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ upnp \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable UPnP on the modemProduction
Changes the status of UPnP on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ upnp \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}